using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity;
using Datory;

namespace GxPress.Repository.Interface
{
    /// <summary>
    /// 抄送人
    /// </summary>
    public interface ICcRepository : IRepository
    {
        /// <summary>
        /// 根据通知ID获取抄送人
        /// </summary>
        /// <param name="noticeId"></param>
        /// <returns></returns>
        Task<IEnumerable<Cc>> GetNoticeCcByNoticeIdAsync(int noticeId,int sourceType);

        Task<bool> DeleteAsync(int sourceId, int sourceType);

        Task<int> InsertAsync(Cc noticeCc);
         /// <summary>
        /// 添加通知抄送人
        /// </summary>
        /// <param name="noticeCcs"></param>
        /// <returns></returns>
       Task<bool> InsertAsync(List<Cc> noticeCcs);
    }
}
